<div class="documents-outer">
    <app-content-banner [isDashboard]="false" pageName="Documents"></app-content-banner>
    <mat-card class="documents-outer-main-card mat-elevation-z0">
        <mat-card-header fxLayout="column" fxLayoutGap="10px">
            <!-- <app-client-banner></app-client-banner> -->
            <div class="client-banner2">&nbsp;</div>
        </mat-card-header>
        <mat-card-content>
            <mat-tab-group>
                <mat-tab>
                    <ng-template matTabLabel>
                        <span>New Agency-Site</span>
                    </ng-template>
                    <ng-template matTabContent>
                        <div class="example-small-box mat-elevation-z0" fxLayout="column">
                            <div class="example-container mat-elevation-z0">

                                <!-- app-document code BEGINS here -->
                                 <mat-card class="document-main">
                                    <mat-card-header>
                                      <mat-card-title>{{docTitle}}</mat-card-title>
                                      <!-- <mat-card-subtitle>
                                        <div>Here is subTitle</div>
                                      </mat-card-subtitle> -->
                                    </mat-card-header>
                                    <mat-card-content>
                                  
                                      <mat-card class="document-sub" [class.mat-elevation-z0]="true">
                                        <mat-card-content>
                                  
                                          <div class="content-main regular-mat-form-field">
                                  
                                            <form [formGroup]="documentForm" (ngSubmit)="onSubmit()">
                                  
                                              <div class="content-sub">
                                                <label class="content-sub-label required-label-color" for="docFileCtrl">File to attach :</label>
                                                <mat-form-field class="content-sub-field" appearance="outline">
                                                  <input matInput id="docFileCtrl" #docFileCtrl formControlName="docFileCtrl" (click)="fileCtrl.click()"
                                                    readonly>
                                                  <!-- <mat-error
                                                    *ngIf="documentForm.get('docFileCtrl').errors?.fileExtn || formErrors.docFileCtrl || documentForm.get('docFileCtrl').errors?.fileName">
                                                    {{ formErrors.docFileCtrl }}</mat-error> -->
                                                </mat-form-field>
                                                <button class="content-sub-field2" type="button" (click)="docFileCtrl.click()">Browse File</button>
                                                <input class="fileInput" type="file" #fileCtrl formControlName="fileCtrl" placeholder="Choose file" 
                                                  (change)="onHandleFileInput($event.target.files)">
                                                  
                                                  <mat-icon class="content-sub-actions green-color" matTooltip="Upload Document" (click)="onSubmit()">
                                                    add_circle</mat-icon>
                                              </div>

                                            </form>

                                          </div>
                                  
                                        </mat-card-content>
                                      </mat-card>
                                  
                                    </mat-card-content>
                                </mat-card> 
                                <!-- app-document code ENDS here -->

                            </div>
                        </div>
                    </ng-template>
                </mat-tab>
            </mat-tab-group>
        </mat-card-content>
    </mat-card>
    <!-- <app-nav-footer [isSaveRequired]="false" (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()">
    </app-nav-footer> -->
</div>

